Cyberduck Mountain Duck CLI

#8562 closed enhancement (fixed)

Slow scrolling in browser with many files

Reported by: WebCF Owned by: dkocher
Priority: high Milestone: 4.7
Component: core Version: 4.6.4
Severity: normal Keywords:
Cc: Architecture: Intel
Platform:

Description

Hi,

the title says it all - I have a folder (opened via sftp) which contains cirrently 1018 files. If I scroll, Cyberduck seem to hang but after a few seconds it scrolls... slowly...

I have this issue since several versions.

Do you need more informations?

H/W: MBP9,1 (mid 2012), 15" with Core i7@2,7GHz and 8GB RAM on 10.10.2

Change History (13)

comment:1 Changed on Feb 8, 2015 at 8:20:29 PM by dkocher

  • Summary changed from [File browser] Slow scrolling/reactions when bwrosing folder with many files to Slow scrolling in browser with many files
  • Type changed from defect to enhancement

comment:2 Changed on Feb 17, 2015 at 2:48:54 PM by dkocher

  • Priority changed from normal to high

comment:3 Changed on Feb 26, 2015 at 10:07:39 AM by dkocher

#8615 closed as duplicate.

comment:4 Changed on Feb 26, 2015 at 10:11:37 AM by floeff

Suffering from a similar problem. I'm actually not sure if this is since a few versions, or if I just hit a threshold, as we continually add files.

comment:5 Changed on Mar 2, 2015 at 9:56:49 AM by floeff

Not sure if releated, but 4.6.5 has the new transfer window enabled (didn't have this before), and asks for authentication again during upload

comment:6 Changed on Mar 4, 2015 at 4:00:44 PM by dkocher

Improvement with r17127.

comment:7 Changed on Mar 4, 2015 at 4:01:02 PM by dkocher

  • Milestone set to 4.7
  • Owner set to dkocher
  • Status changed from new to assigned

comment:8 Changed on Mar 4, 2015 at 4:36:30 PM by dkocher

Improvement with r17130.

comment:9 Changed on Mar 4, 2015 at 4:37:34 PM by dkocher

Improvement with r17131.

comment:10 Changed on Mar 4, 2015 at 4:55:03 PM by dkocher

Improvement with r17134.

comment:11 Changed on Mar 4, 2015 at 6:07:51 PM by WebCF

Thanks,

I've updated to snapshot r17134 and can confirm that there a improvements! Not quite smooth but far better than latest stable ;)

Tested with r4919 files in one directory.

Last edited on Mar 31, 2015 at 3:03:30 PM by dkocher (previous) (diff)

comment:12 Changed on Mar 31, 2015 at 3:08:34 PM by dkocher

Might be further improved with r17210.

comment:13 Changed on Apr 1, 2015 at 3:14:14 PM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed
Note: See TracTickets for help on using tickets.
swiss made software